Package Details: llpp-git 30.r22.g6905dbc-1

Git Clone URL: https://aur.archlinux.org/llpp-git.git (read-only)
Package Base: llpp-git
Description: A graphical PDF viewer which aims to superficially resemble less(1).
Upstream URL: http://repo.or.cz/w/llpp.git
Licenses: custom
Conflicts: llpp
Provides: llpp
Submitter: mfwitten
Maintainer: aksr
Last Packager: aksr
Votes: 60
Popularity: 0.000210
First Submitted: 2010-10-26 22:21
Last Updated: 2019-02-03 08:48

Dependencies (37)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 Next › Last »

blackout24 commented on 2012-09-10 00:34

Even after fixing the download path and freetype version manually it doesn't compile.
yaourt-tmp-root/aur-llpp/src/llpp/3rdp/mupdf-af5a608/thirdparty/freetype-2.4.10/include/ft2build.h:34:38: critical error: freetype/config/ftheader.h: File not found.

Which doesn't make any sense because the file is clearly there.

mfwitten commented on 2012-08-20 01:32

I sent a patch to the maintainer upstream; the easiest solution is simply to change the following line in `buildall.sh':

mupdf3p=http://mupdf.com/download/mupdf-thirdparty-2012-04-23.zip

to:

mupdf3p=http://mupdf.com/download/archive/mupdf-thirdparty-2012-04-23.zip

That is, add the `archive/' path component. This fixes the freetype version mismatch as well, because all of these third party components are hard coded with each other.

mfwitten commented on 2012-08-20 00:54

The problem is upstream; this PKGBUILD is not out-of-date.

Anonymous comment on 2012-08-19 16:45

Also the freetype version is now 2.4.10 (to change in buildall.sh)

Torsten commented on 2012-08-17 14:08

"http://mupdf.com/download/mupdf-thirdparty-2012-04-23.zip" is not upto date, the current link should be:
http://www.mupdf.com/download/mupdf-thirdparty-2012-08-14.zip

or better:

http://www.mupdf.com/download/mupdf-thirdparty.zip

mfwitten commented on 2012-07-04 22:22

An `llpp.desktop' file has been added, and `mesa' has been listed as a dependency (nothing seems to depend on `glut', namely `freeglut'). Thanks for the input!

Anonymous comment on 2012-07-04 19:55

This pacakge also requires a GL library, i.e. freeglut, to build and run.

pfrenssen commented on 2012-07-03 14:21

Could you install a llpp.desktop file in /usr/share/applications/? This comes in handy for setting llpp as the default application for PDF files. I have posted the .desktop file I'm using at http://pastebin.com/w2gDHTxG

mfwitten commented on 2012-04-20 14:35

Thanks. I added `unzip' to the makedepends array

Anonymous comment on 2012-04-20 09:11

The build fails without the tool unzip (used to extract 3rd party dependencies during "Compile"). Otherwise, seems to works fine. Revision: 3152db87e9ad836b3416df51d9fc36888b215444